/**
 * 执行npm命令(兼容mac和windows)。
 * @example npm(['install', 'vue','-D'])
 * @param {array} params
 * @param {object} options
 * @returns 子进程
 */
export declare function npm(params: Array<string>, options?: object): Promise<unknown>;
export declare function isNpmMaintainer(npm: string, name: string): Promise<any>;
export declare function getPackageLatestVersion(npm: string): Promise<any>;
declare const _default: {
    isNpmMaintainer: typeof isNpmMaintainer;
    npm: typeof npm;
    getPackageLatestVersion: typeof getPackageLatestVersion;
};
export default _default;
